import WidgetBase from "@dojo/framework/core/WidgetBase";
import { tsx } from "@dojo/framework/core/vdom";
import * as css from "./index.m.css";
import * as c from "bootstrap-classes";
export default class TextInput extends WidgetBase {
    render() {
        const { value, onValue } = this.properties;
        return (tsx("input", { key: this.getRootKey(), classes: [css.root, c.form_control], value: value, oninput: (event) => {
                event.stopPropagation();
                onValue && onValue(event.target.value);
            } }));
    }
    getRootKey() {
        return "text-input";
    }
}

/*# sourceMappingURL=index.mjs.map*/